Last modified: 2013-04-22 16:16:35 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 29472 - Remove $wgUseDynamicDates (or move to an extension)
Remove $wgUseDynamicDates (or move to an extension)
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Parser (Other open bugs)
1.21.x
All All
: Normal enhancement (vote)
: ---
Assigned To: Bartosz Dziewoński
:
Depends on:
Blocks: 29145
  Show dependency treegraph
 
Reported: 2011-06-18 10:36 UTC by p858snake
Modified: 2013-04-22 16:16 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description p858snake 2011-06-18 10:36:28 UTC
Per http://lists.wikimedia.org/pipermail/wikitech-l/2011-June/054017.html it would be handy to rip it out and chuck it into a extension.


(Chucking chad on CC because well, he suggested it)
Comment 1 Andre Klapper 2013-01-29 18:21:44 UTC
Are there any limitations or problems with the current situation that it's part of core? Asking as this looks more like an enhancement to me, plus not high priority either (but maybe I just miss good reasons).
Doing so, but please do revert my edit if I'm wrong here.

Changing to "Parser" component as that's where the code is located:

./includes/DefaultSettings.php:$wgUseDynamicDates  = false;
./includes/parser/ParserOptions.php:	function setUseDynamicDates( $x )           { return wfSetVar( $this->mUseDynamicDates, $x ); }
Comment 2 Chad H. 2013-01-29 18:25:49 UTC
Nobody likes it, and it doesn't work well for languages other than english.
Comment 3 Chad H. 2013-01-29 18:26:36 UTC
(In reply to comment #2)
> Nobody likes it, and it doesn't work well for languages other than english.

"Nobody" as in enwiki actively stopped using it. It would be cool if it worked on all dates, but it only works on linked dates. And linking every date just to make it format per user preference is overkill (which is why enwiki stopped using it).
Comment 4 Bawolff (Brian Wolff) 2013-01-29 22:48:55 UTC
Do any of the other en projects like it? Most of them don't have date pages to link to. I know wikinews does not use it. I wouldn't be surprised if *literally* nobody liked it.
Comment 5 Platonides 2013-02-06 16:03:20 UTC
Why can't it work on every date?
Comment 6 Bartosz Dziewoński 2013-02-06 16:05:29 UTC
(In reply to comment #5)
> Why can't it work on every date?

Because dates are hard, especially when multilingualization and grammar comes to mind. Changing the date format in a middle of a sentence could make it nonsensical or "broken".
Comment 7 Bartosz Dziewoński 2013-02-06 16:40:54 UTC
Removing this functionality with I609db847.
Comment 8 Bartosz Dziewoński 2013-02-06 19:51:16 UTC
Merged -> marking as fixed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links